
	<script>
	function printDiv(divName) {
     var printContents = document.getElementById(divName).innerHTML;
     var originalContents = document.body.innerHTML;

    // document.body.innerHTML = printContents.fontsize(16);
     window.print();

	 if( window.print()) {
         window.location.href = "../user/allpurchaseorder";
		alert(" printing...........");
    }else {

	
		      return      window.location.href = "../user/allpurchaseorder";

		    // document.body.innerHTML = originalContents;

	}
}
	</script>
	<script type="text/javascript">


$(window).load(function()
{
	 if( window.print()) {
         window.location.href = "../user/allpurchaseorder";
 }else{
	  //       window.location.href = "../user/allinvoices";
 
 }
});
</script>	

  <style type="text/css">
  
  	
  .invoice-box table tr.heading td {
        background: #eee;
		height:auto;
        border-bottom: 1px solid #ddd;
        font-weight: bold;
		
		
    }
  
  #printable { display: none; }
#print{  	


    background-repeat: no-repeat;
	font-size;20px;
  
    width:100%; height:50px;


}

#sale{  	
background-image:url(images/add.png) ;

    background-repeat: no-repeat;
  
    width:100px; height:50px;


}
    @media print
    {
    	#non-printable { display: none; }
    	#printableArea { display: block; font-size:18; width:100%; }
    }
    </style>
<?PHP

 echo $this->session->flashdata('imagemsg1'); 
		 
		    
$session_data = $this->session->userdata('logged_in');


$data['surname'] = $session_data['surname'];
$data['id'] = $session_data['id'];

$surname=$data['surname'];
   $userid=$data['id'];
//
   $myuser=$this->usermodel->geteuser($userid);
   $myname=$myuser[0]['firstname'];
    $postedtime = date('Y-m-d');
		$currenttime = date('h:i:sa');
 		$dateposted =  ($postedtime)." ".$currenttime ;	

function formatMoney($number, $fractional=false) {
						if ($fractional) {
							$number = sprintf('%.2f', $number);
						}
						while (true) {
							$replaced = preg_replace('/(-?\d+)(\d\d\d)/', '$1,$2', $number);
							if ($replaced != $number) {
								$number = $replaced;
							} else {
								break;
							}
						}
						return $number;
					}	
$data['branchid'] = $session_data['branchid'];
$branchid = $session_data['branchid'];


 $displaycode=$this->usermodel->populatuserpermissionsdataarray('config','productcode',$userid);
	 $countbranch=$this->usermodel->countbranches($companyid);

					
?>
 
 <div class="row">

 

   	<div class="col-md-12">
	 <div class="pull-right" id="non-printable"  >
<form name="print" method="post" action="">
 <input type="submit" id="print"  accesskey="p" class="btn btn-primary"  name="print"onclick="printDiv('printableArea')" value="Print LPO!" />
                   
 
 </form>
 <a href="<?php echo base_url(); ?>user/allpurchaseorder">Go Back to all purchases</a>

 </div>
  
        	
			
			<div class="table-responsive" id="printableArea" style="width:100%" >
						<table border="0" width="100%">
					
						<tr>
						<td colspan="2" valign="top">
<?php
 $session_data = $this->session->userdata('logged_in');

   
 	$data['id'] = $session_data['id'];
        
		 $userid = $data['id'];
$data['companyid'] = $session_data['companyid'];
	 $companyid = $data['companyid'];
		 $data['usertype'] = $session_data['usertype'];
	 $usertype = $data['usertype'];	

								$profile = $this->usermodel->populateall('smsconfig','id',$companyid);

	
		if(!is_array($profile)) 

 {
	 $this->session->set_flashdata('msg', '<div class="alert alert-danger fade in">
						 <a href="#" class="close" data-dismiss="alert">&times;</a><strong>Error!</strong>Upload photo</div>');
							

    }else {

    
          
  	foreach ($profile as $c): 
$photo= $c->logo;
		 	if($photo!=""){
		 
		 
		
		
	
			
		
		$img=$c->logo;
	
		$img1='uploads/';
	$url = base_url().$img1.$img;

 
 ?>
 <div >
<img class="img-circle" src="<?php echo $url ?>" height="100" width="100" style="border-radius:4px;  ">		 

</div>



	 <?php }else{
		 ?>

				<?php
	 }
		 endforeach; ?>

              <?php }?>
						
						
						
				
		
										<?php 
										 if( $countbranch > 1){
										 $mybranches= $this->usermodel->populateallarray('branch','id',$branchid);
										$branchdescription=$mybranches[0]['description']; if(isset($branchdescription)) {
											
											//
											echo   strtoupper($branchdescription); }


										}else{
									$bussinessname=$configuration[0]['businessname']; if(isset($bussinessname)) {echo   $bussinessname; }
 
											 
										 }
										?>
							
													
						
						
						
						</td>
						
						<td colspan="4" valign="top">
					<h2>PURCHASE REQUEST	</h2>
					
<br><br>
						 Date:  <?php echo$viewreceipt[0]['orderdate'];?><BR>
						Purchase Order No: <?php echo$viewreceipt[0]['ordernumber'];?><BR>

						Ref No:  <?php $invoiceid; if(isset($invoiceid)) {echo   $invoiceid; }?><BR>
						Status:  <?php echo$viewreceipt[0]['approvalstatus'];?><BR></H3>

					</td>
						
						</tr>
						
					<TR>
					<td colspan="6">
					<hr style="border-top: 2px solid gray; margin:0px;">

					</td>
					</TR>
						<tr>
						
					
						<td colspan="3" valign="top">
						<B>Order To:</B><br><?php 
						//$customer=$viewreceipt[0]['supplier'];

					
						 $alldetais="";
						
						
						 if($viewreceipt[0]['supplier']!=""){
							$mysupplier=$this->usermodel->populateallarray('people','id', $viewreceipt[0]['supplier']);

							 $alldetais.= $mysupplier[0]['company']."<br>";
						   if($mysupplier[0]['firstname']!=""){
							 $alldetais.= $mysupplier[0]['firstname']." ". $mysupplier[0]['surname']."<br>";
						 }	 
							
						 
						
						
						  if($mysupplier[0]['idno']!=""){
							 $alldetais.= $mysupplier[0]['idno']."<br>";
						 }
						   if($mysupplier[0]['idnumber']!=""){
							 $alldetais.= $mysupplier[0]['idnumber']."<br>";
							 //$alldetais.= "Customer pin:".$mysupplier[0]['idnumber']."<br>";



						}
						  if($mysupplier[0]['phone']!=""){
							 $alldetais.= $mysupplier[0]['phone']."<br>";
						 } if($mysupplier[0]['email']!=""){
							 $alldetais.= $mysupplier[0]['email']."<br>";
						 }
						  if($mysupplier[0]['website']!=""){
							// $alldetais= $mysupplier[0]['website']."<br>";
						 }
						  if($mysupplier[0]['zip']!=""){
							// $alldetais.= $mysupplier[0]['zip']."<br>";
						 }
						   if($mysupplier[0]['code']!=""){
							 $alldetais.= $mysupplier[0]['code']."<br>";
						 }
						 
						  if($mysupplier[0]['city']!=""){
							 $alldetais.= $mysupplier[0]['city']."<br>";
						 }
						
						  if($mysupplier[0]['comments']!=""){
							 $alldetais.= $mysupplier[0]['comments']."<br>";
						 }
						  }else{
						    if($viewreceipt[0]['description']!=""){
							 $alldetais.= $viewreceipt[0]['description']."<br>";
						 }
						 }
						 
						 
						
													echo "<br>".$alldetais;

						
						
						
							 
						 
							?>
						
						
						
						
						
						
						
						
						</td>
						
							<td colspan="3">
						<B>Shipping To:</B><br>
	 <?php echo$viewreceipt[0]['shippingto'];?>
						</td>
						
						
						
							</tr>
																				
																				
																				
																				</table >
<br><br>
										<div class="invoice-box">
													<table border="1" class="height2" height="100%" style="width:100%; ">

								<tr class="heading">
							

							<td><b>From Date</b></td>
								<td><b>Expiry Date</b></td>
								<td><b>Ordered By</b></td>
								<td><b>Shipped Via</b></td>
								<td><b>F.O.B</b></td>
									<td><b>Terms</b></td>

							</tr>
							
							<tr>
							

							<td><?php echo$viewreceipt[0]['orderdate'];?></td>
							<td><?php echo$viewreceipt[0]['canceldate'];?></td>
							<td><?php
							
								$mysupplierorderedby=$this->usermodel->populateallarray('people','id', $viewreceipt[0]['orderedby']);
										if($mysupplierorderedby==false){
											
											echo$viewreceipt[0]['orderedby'];
										}else{
											echo$mysupplierorderedby[0]['firstname'];
											
										}
							
							
							?></td>
							<td><?php echo$viewreceipt[0]['deliverymethod'];?></td>
							<td><?php echo$viewreceipt[0]['fob'];?></td>
							<td><?php echo$viewreceipt[0]['terms'];?>
							
							</td>

							</tr>
						<tr>
							<td colspan="6"><br>	</td>
						</tr>
							<tr  class="heading">
							
<?php 
if($displaycode==true){
	 ?>
<td><b>Code</b></td>
<td><b>Item Name</b></td>
	 	<?php
		}else{?>
	<td colspan="2"><b>Item Name</b></td>
 <?php
 }
 ?>
 <td  colspan="4"><b>Qty</td>
 
							</tr>
					
						<?php
					
 if(!is_array($viewsales)) {
	 

			 }else{
 if(!is_array($viewsales)) 

 {


   echo "<tr  style='margin-bottom:0px;margin-top:0px;' '>";
      echo "<td colspan='5'>";
    
    echo "</td>";
   echo "</tr>";
    }else {
 $totalcost=0;
  $totalvatcost=0;
  $totalexemptedcost=0;
   $totaltax=0;
  	foreach ($viewsales as $c): 

		 

             ?>
				                    <tbody >
									
										 
												
											<tr   valign="top">
											
											<?php 
if($displaycode==true){
	 ?>
									<td><?php echo $c->item_id ; ?></td>

													    <td><?php ; 
	 $receiptdescription=$configuration[0]['receiptdescription'];
   $customer=$c->item_id;
   if($customer!=""){
	  
      $productname = $this->usermodel->geteproductbyid($customer);
  
     echo$name=$productname[0]['name']; if($receiptdescription=="yes"){ echo"-".$description=$productname[0]['description'];}

	
   }else{
	    echo "No Product";  
   }
  
  
  ?></td>
	 	<?php
		}else{?>
	
	
													    <td  colspan="2" ><?php ; 
	 $receiptdescription=$configuration[0]['receiptdescription'];
   $customer=$c->item_id;
   if($customer!=""){
	  
      $productname = $this->usermodel->geteproductbyid($customer);
  
     echo$name=$productname[0]['name']; if($receiptdescription=="yes"){ echo"-".$description=$productname[0]['description'];}

	
   }else{
	    echo "No Product";  
   }
  
  
  ?></td>
 <?php
 }
 ?>
										<td  colspan="4"><?php echo $c->qty ; ?></td>
										
											</tr>
										<?php endforeach;} ?>

              <?php }?>	
			  
			  
			  
				
				
								
								<td colspan="6"> 

								
								
							<SPAN class="pull-left">
													<b>		
												
															</b>
											</SPAN>

							
							
							</td>
							
							</tr>
							
							
							
							
							
				
									</tbody>
									
									
					</table>
					
					
					<table>
							<tr>
<td colspan="3"	>
</br></br>

<?PHP
$mysupplier=$this->usermodel->populateallarray('people','id', $viewreceipt[0]['userid']);
?>
Prepared by (Name):----<b><?PHP echo $mysupplier[0]['firstname'];  ?></b>------(Signature):----------------------</br>
</br>Approved by (Name):-----------------------------------------------------------Signature:-------------------------


						</td>
									
							</tr>
					
					</table>
					
					</div>
			<div>
<?php $invoicedetails=$configuration[0]['invoicedetails']; echo$viewreceipt[0]['description']; echo "<br>";//if(isset($invoicedetails)) {echo   $invoicedetails; }?>

<br>

</div>
					
					
					
					
				</div>
			</div>
		
		
  


			
			
		
		

















